[Python-modules-commits] r28065 - in packages/fedmsg/trunk/debian (3 files)
olasd at users.alioth.debian.org
olasd at users.alioth.debian.org
Sun Mar 9 00:36:28 UTC 2014
Date: Sunday, March 9, 2014 @ 00:36:27
Author: olasd
Revision: 28065
Add maintainer scripts to handle the files moved in the new packages
Added:
packages/fedmsg/trunk/debian/python-fedmsg.postinst
packages/fedmsg/trunk/debian/python-fedmsg.postrm
packages/fedmsg/trunk/debian/python-fedmsg.preinst
Added: packages/fedmsg/trunk/debian/python-fedmsg.postinst
===================================================================
--- packages/fedmsg/trunk/debian/python-fedmsg.postinst (rev 0)
+++ packages/fedmsg/trunk/debian/python-fedmsg.postinst 2014-03-09 00:36:27 UTC (rev 28065)
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+# Handle files moved to other packages
+
+for file in gateway.py ircbot.py relay.py; do
+ removed_conffile="/etc/fedmsg.d/$file"
+
+ dpkg-maintscript-helper rm_conffile "$removed_conffile" 0.7.6-1~
+
+ # Move the .dpkg-bak files for the new package to take over if
+ # upgrading from an old-enough version
+
+ if test "$1" = "configure" && dpkg --compare-versions "$2" lt '0.7.6-1~' &&
+ ! test -e "$removed_conffile" &&
+ test -r "$removed_conffile".dpkg-bak; then
+ mv "$removed_conffile".dpkg-bak "$removed_conffile"
+ fi
+
+done
+
+#DEBHELPER#
Added: packages/fedmsg/trunk/debian/python-fedmsg.postrm
===================================================================
--- packages/fedmsg/trunk/debian/python-fedmsg.postrm (rev 0)
+++ packages/fedmsg/trunk/debian/python-fedmsg.postrm 2014-03-09 00:36:27 UTC (rev 28065)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+# Handle files moved to other packages
+
+for file in gateway.py ircbot.py relay.py; do
+ removed_conffile="/etc/fedmsg.d/$file"
+
+ dpkg-maintscript-helper rm_conffile "$removed_conffile" 0.7.6-1~
+done
+
+#DEBHELPER#
Added: packages/fedmsg/trunk/debian/python-fedmsg.preinst
===================================================================
--- packages/fedmsg/trunk/debian/python-fedmsg.preinst (rev 0)
+++ packages/fedmsg/trunk/debian/python-fedmsg.preinst 2014-03-09 00:36:27 UTC (rev 28065)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+# Handle files moved to other packages
+
+for file in gateway.py ircbot.py relay.py; do
+ removed_conffile="/etc/fedmsg.d/$file"
+
+ dpkg-maintscript-helper rm_conffile "$removed_conffile" 0.7.6-1~
+
+done
+
+#DEBHELPER#
More information about the Python-modules-commits
mailing list